package com.wmyun.farmwork.word.core.model.type;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Description: TODO
 * @Date: 2025/3/1 14:07
 * @Created: by ZZSLL
 */

@Data
@AllArgsConstructor
public class TypeText {

    /**
     * 标签名称
     */
    private String name;

    /**
     * 标签值
     */
    private String value;

    /**
     * 删除线
     */
    private Boolean strike;

    /**
     * 粗体
     */
    private Boolean bold;

    /**
     * 斜体
     */
    private Boolean italic;

    /**
     * 颜色
     */
    private String color;

    /**
     * 	下划线
     */
    private Boolean underline;

    /**
     * 字体
     */
    private String fontFamily;

    /**
     * 	字号
     */
    private Integer fontSize;

    /**
     * 背景高亮色
     */
    private String highlightColor;

    /**
     * 上标或者下标
     */
    private String vertAlign;

    /**
     * 	间距
     */
    private Integer characterSpacing;
}
