package com.wmyun.module.crm.framework.rpc.config;

import com.wmyun.module.bpm.api.task.BpmProcessInstanceApi;
import com.wmyun.module.system.api.dept.DeptApi;
import com.wmyun.module.system.api.dept.PostApi;
import com.wmyun.module.system.api.user.AdminUserApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {AdminUserApi.class, DeptApi.class, PostApi.class,
        BpmProcessInstanceApi.class})
public class RpcConfiguration {
}
