package com.wmyun.farmwork.word.core.model.type;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Description: TODO
 * @Date: 2025/3/1 14:12
 * @Created: by ZZSLL
 */

@Data
@AllArgsConstructor
public class TypeImage {

    /**
     * 标签名称
     */
    private String name;

    /**
     * 标签值
     */
    private String value;

    /**
     * 图片格式
     */
    private String type;

    /**
     * 宽度
     */
    private Integer width;

    /**
     * 高度
     */
    private Integer height;

    /**
     * 当无法获取图片时展示的文字
     */
    private String altMeta;

    /**
     * 标签值类型，绝对路径<path>、下载url<url>
     */
    private String valueType;
}
